* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'HAN';
    src: url(../fon/alagard.ttf) format('truetype');
    
}

body, h1, h2, p, a {
    filter: blur(0.4px); /* Ajustez la valeur pour plus ou moins de flou */
    text-shadow:00 25px #41306d51, 00 20px #41306d3a, 00 15px #41306d30, 00 10px #41306d21, 00 5px #41306d0b;
}
body {
    font-family: 'HAN';
    font-size: 14px;
    display: flex;
    flex-direction: column;
    text-align: center;
    background-color: #000000;
    color: #80f5f5;
}

img{
    width: 110px;
}

h1 {
    font-family: 'HAN';
    font-size: 82px;
}

h2 {
    font-family: 'HAN';
}

main {    
    text-align: center;
    border-width: 1px;
    padding: 20px;
    width: 100%;
    max-width: 800px; /* Empêche le contenu d'être trop large */
    display: flex;
    flex-direction: column;
}

a {
    color: #80f5f5;
    text-decoration: none;
    border: 1px solid transparent;
    padding: 2px 4px;
    display: inline-block;
    transition: border-color 0.3s, color 0.3s;
}

a:hover {
    color: #80f5f5;
    border-color: #80f5f5;
}

a:link {
    color: #80f5f5;
    transition: color 0.2s, text-shadow 0.2s;
}

a:visited {
    color: #80f5f5;
    transition: color 0.2s, text-shadow 0.2s;
}

a:hover {
    color: #80f5f5;
}

a:active {
    color: rgb(255, 0, 0);
    border-color: #ff0000;
}

.section {
    display: none;
}
.section.active {
    display: block;
}

.tree-column-list {
    text-align: center;
    padding: 20px;
}
.tree-column-list ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* Deux colonnes */
    gap: 5px; /* Espacement entre les colonnes et les lignes */
    list-style-type: none; /* Supprime les puces */
    padding: 0;
    margin: 0;
}

@media screen and (min-width: 768px) {
    body {
        /* On passe en mode ligne pour les sections principales */
        flex-direction: row;
        flex-wrap: wrap; /* Permet de passer à la ligne si besoin */
        justify-content: center; /* Centre le contenu */
    }
}

/* =============================
   RESPONSIVE DESIGN (GRAND ÉCRAN)
   ============================= */
@media screen and (min-width: 1024px) {
    body {
        max-width: 1200px;
        margin: auto; /* Centre le site */
    }
}


.dice-button {
  padding: 3px 6px;
  margin: 2px;
  font-size: 12px;
  background-color: transparent;
  color: #80f5f5;
  border: 1px solid #80f5f5;
  border-radius: 4px;
  cursor: pointer;
}
.dice-button:hover {
  background-color: transparent;
}
